# HG changeset patch
# Node ID 8b9659d0c25eec72673a71311b570317f1ecfa94
# Parent  e61836350fce82707e0b07b4333cff52174fd1f1
diff --git a/libpurple/connection.h b/libpurple/connection.h
--- a/libpurple/connection.h
+++ b/libpurple/connection.h
@@ -76,8 +76,89 @@
 	g_quark_from_static_string("purple-connection-error") \
 	PURPLE_AVAILABLE_MACRO_IN_3_0
 
+/**
+ * PurpleConnectionError:
+ * @PURPLE_CONNECTION_ERROR_NETWORK_ERROR: There was an error sending or
+ *         receiving on the network socket, or there was some protocol error
+ *         (such as the server sending malformed data).
+ * @PURPLE_CONNECTION_ERROR_INVALID_USERNAME: The username supplied was not
+ *         valid.
+ * @PURPLE_CONNECTION_ERROR_AUTHENTICATION_FAILED: The username, password or
+ *         some other credential was incorrect.  Use
+ *         #PURPLE_CONNECTION_ERROR_INVALID_USERNAME instead if the username
+ *         is known to be invalid.
+ * @PURPLE_CONNECTION_ERROR_AUTHENTICATION_IMPOSSIBLE: libpurple doesn't speak
+ *         any of the authentication methods the server offered.
+ * @PURPLE_CONNECTION_ERROR_NO_SSL_SUPPORT: libpurple was built without SSL
+ *         support, and the connection needs SSL.
+ * @PURPLE_CONNECTION_ERROR_ENCRYPTION_ERROR: There was an error negotiating
+ *         SSL on this connection, or the server does not support encryption
+ *         but an account option was set to require it.
+ * @PURPLE_CONNECTION_ERROR_NAME_IN_USE: Someone is already connected to the
+ *         server using the name you are trying to connect with.
+ * @PURPLE_CONNECTION_ERROR_INVALID_SETTINGS: The username/server/other
+ *         preference for the account isn't valid.  For instance, on IRC the
+ *         username cannot contain white space.  This reason should not be used
+ *         for incorrect passwords etc: use
+ *         #PURPLE_CONNECTION_ERROR_AUTHENTICATION_FAILED for that.
+ * @PURPLE_CONNECTION_ERROR_CERT_NOT_PROVIDED: The server did not provide a
+ *         SSL certificate.
+ * @PURPLE_CONNECTION_ERROR_CERT_UNTRUSTED: The server's SSL certificate could
+ *         not be trusted.
+ * @PURPLE_CONNECTION_ERROR_CERT_EXPIRED: The server's SSL certificate has
+ *         expired.
+ * @PURPLE_CONNECTION_ERROR_CERT_NOT_ACTIVATED: The server's SSL certificate is
+ *         not yet valid.
+ * @PURPLE_CONNECTION_ERROR_CERT_HOSTNAME_MISMATCH: The server's SSL
+ *         certificate did not match its hostname.
+ * @PURPLE_CONNECTION_ERROR_CERT_FINGERPRINT_MISMATCH: The server's SSL
+ *         certificate does not have the expected fingerprint.
+ * @PURPLE_CONNECTION_ERROR_CERT_SELF_SIGNED: The server's SSL certificate is
+ *         self-signed.
+ * @PURPLE_CONNECTION_ERROR_CERT_OTHER_ERROR: There was some other error
+ *         validating the server's SSL certificate.
+ * @PURPLE_CONNECTION_ERROR_CUSTOM_TEMPORARY: A custom error that is temporary.
+ * @PURPLE_CONNECTION_ERROR_CUSTOM_FATAL: A custom error that is fatal.
+ * @PURPLE_CONNECTION_ERROR_OTHER_ERROR: Some other error occurred which fits
+ *         into none of the other categories.
+ *
+ * Possible errors that can cause a connection to be closed.
+ */
+typedef enum
+{
+	PURPLE_CONNECTION_ERROR_NETWORK_ERROR = 0,
+	PURPLE_CONNECTION_ERROR_INVALID_USERNAME = 1,
+	PURPLE_CONNECTION_ERROR_AUTHENTICATION_FAILED = 2,
+	PURPLE_CONNECTION_ERROR_AUTHENTICATION_IMPOSSIBLE = 3,
+	PURPLE_CONNECTION_ERROR_NO_SSL_SUPPORT = 4,
+	PURPLE_CONNECTION_ERROR_ENCRYPTION_ERROR = 5,
+	PURPLE_CONNECTION_ERROR_NAME_IN_USE = 6,
+
+	/* TODO This reason really shouldn't be necessary. Usernames and
+	 *      other account preferences should be validated when the
+	 *      account is created. */
+	PURPLE_CONNECTION_ERROR_INVALID_SETTINGS = 7,
+
+	PURPLE_CONNECTION_ERROR_CERT_NOT_PROVIDED = 8,
+	PURPLE_CONNECTION_ERROR_CERT_UNTRUSTED = 9,
+	PURPLE_CONNECTION_ERROR_CERT_EXPIRED = 10,
+	PURPLE_CONNECTION_ERROR_CERT_NOT_ACTIVATED = 11,
+	PURPLE_CONNECTION_ERROR_CERT_HOSTNAME_MISMATCH = 12,
+	PURPLE_CONNECTION_ERROR_CERT_FINGERPRINT_MISMATCH = 13,
+	PURPLE_CONNECTION_ERROR_CERT_SELF_SIGNED = 14,
+	PURPLE_CONNECTION_ERROR_CERT_OTHER_ERROR = 15,
+
+	PURPLE_CONNECTION_ERROR_CUSTOM_TEMPORARY = 16,
+	PURPLE_CONNECTION_ERROR_CUSTOM_FATAL = 17,
+
+	/* purple_connection_error() in connection.c uses the fact that
+	 * this is the last member of the enum when sanity-checking; if other
+	 * reasons are added after it, the check must be updated.
+	 */
+	PURPLE_CONNECTION_ERROR_OTHER_ERROR = 18
+} PurpleConnectionError;
+
 #include "purpleaccount.h"
-#include "purpleconnectionerrorinfo.h"
 #include "purpleprotocol.h"
 
 struct _PurpleConnectionClass {
diff --git a/libpurple/meson.build b/libpurple/meson.build
--- a/libpurple/meson.build
+++ b/libpurple/meson.build
@@ -21,7 +21,6 @@
 	'purplebadges.c',
 	'purplechanneljoindetails.c',
 	'purplecommand.c',
-	'purpleconnectionerrorinfo.c',
 	'purplecontact.c',
 	'purplecontactinfo.c',
 	'purplecontactmanager.c',
@@ -113,7 +112,6 @@
 	'purplebadges.h',
 	'purplechanneljoindetails.h',
 	'purplecommand.h',
-	'purpleconnectionerrorinfo.h',
 	'purplecontact.h',
 	'purplecontactinfo.h',
 	'purplecontactmanager.h',
@@ -243,7 +241,6 @@
 	'debug.h',
 	'plugins.h',
 	'purpleaccount.h',
-	'purpleconnectionerrorinfo.h',
 	'purplecontactinfo.h',
 	'purpleconversation.h',
 	'purplefiletransfer.h',
diff --git a/libpurple/purpleaccount.c b/libpurple/purpleaccount.c
--- a/libpurple/purpleaccount.c
+++ b/libpurple/purpleaccount.c
@@ -99,7 +99,6 @@
 	PROP_REMEMBER_PASSWORD,
 	PROP_PROXY_INFO,
 	PROP_ERROR,
-	PROP_ERROR_INFO,
 	PROP_CONNECTED,
 	N_PROPERTIES,
 };
@@ -617,11 +616,6 @@
 	case PROP_ERROR:
 		purple_account_set_error(account, g_value_get_boxed(value));
 		break;
-	case PROP_ERROR_INFO:
-		G_GNUC_BEGIN_IGNORE_DEPRECATIONS
-		purple_account_set_error_info(account, g_value_get_boxed(value));
-		G_GNUC_END_IGNORE_DEPRECATIONS
-		break;
 	default:
 		G_OBJECT_WARN_INVALID_PROPERTY_ID(obj, param_id, pspec);
 		break;
@@ -673,11 +667,6 @@
 	case PROP_ERROR:
 		g_value_set_boxed(value, purple_account_get_error(account));
 		break;
-	case PROP_ERROR_INFO:
-		G_GNUC_BEGIN_IGNORE_DEPRECATIONS
-		g_value_set_boxed(value, purple_account_get_error_info(account));
-		G_GNUC_END_IGNORE_DEPRECATIONS
-		break;
 	case PROP_CONNECTED:
 		g_value_set_boolean(value, purple_account_is_connected(account));
 		break;
@@ -921,27 +910,10 @@
 	 */
 	properties[PROP_ERROR] = g_param_spec_boxed(
 		"error", NULL, NULL,
-		PURPLE_TYPE_CONNECTION_ERROR_INFO,
+		G_TYPE_ERROR,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
 	/**
-	 * PurpleAccount:error-info:
-	 *
-	 * The [type@GLib.Error] of the account. This is set when an account enters
-	 * an error state and is automatically cleared when a connection attempt is
-	 * made.
-	 *
-	 * Setting this will not disconnect an account, but this will be set when
-	 * there is a connection failure.
-	 *
-	 * Since: 3.0
-	 */
-	properties[PROP_ERROR_INFO] = g_param_spec_boxed(
-		"error-info", NULL, NULL,
-		PURPLE_TYPE_CONNECTION_ERROR_INFO,
-		G_PARAM_READWRITE | G_PARAM_DEPRECATED | G_PARAM_STATIC_STRINGS);
-
-	/**
 	 * PurpleAccount:connected:
 	 *
 	 * Whether or not the account is connected.
@@ -1591,21 +1563,6 @@
 	return account->error;
 }
 
-const PurpleConnectionErrorInfo *
-purple_account_get_error_info(PurpleAccount *account) {
-	g_return_val_if_fail(PURPLE_IS_ACCOUNT(account), NULL);
-
-	if(account->error == NULL) {
-		return NULL;
-	}
-
-	/* We're leaking this for the moment, as this property will be deleted
-	 * shortly.
-	 */
-	return purple_connection_error_info_new(account->error->code,
-	                                        account->error->message);
-}
-
 void
 purple_account_set_error(PurpleAccount *account, GError *error) {
 	PurpleNotificationManager *manager = NULL;
@@ -1651,24 +1608,6 @@
 }
 
 void
-purple_account_set_error_info(PurpleAccount *account,
-                              PurpleConnectionErrorInfo *info)
-{
-	GError *error = NULL;
-
-	g_return_if_fail(PURPLE_IS_ACCOUNT(account));
-
-	if(info != NULL) {
-		error = g_error_new_literal(PURPLE_CONNECTION_ERROR, info->type,
-		                            info->description);
-
-		purple_connection_error_info_free(info);
-	}
-
-	purple_account_set_error(account, error);
-}
-
-void
 purple_account_set_require_password(PurpleAccount *account,
                                     gboolean require_password)
 {
diff --git a/libpurple/purpleaccount.h b/libpurple/purpleaccount.h
--- a/libpurple/purpleaccount.h
+++ b/libpurple/purpleaccount.h
@@ -35,7 +35,6 @@
 typedef struct _PurpleAccount PurpleAccount;
 
 #include "connection.h"
-#include "purpleconnectionerrorinfo.h"
 #include "purplecontactinfo.h"
 #include "purpleprotocol.h"
 #include "purpleproxyinfo.h"
@@ -574,23 +573,6 @@
 GError *purple_account_get_error(PurpleAccount *account);
 
 /**
- * purple_account_get_error_info:
- * @account: The account whose error should be retrieved.
- *
- * Get the error that caused the account to be disconnected, or %NULL if the
- * account is happily connected or disconnected without an error.
- *
- * Returns: (transfer none): The type of error and a human-readable description
- *          of the current error, or %NULL if there is no current error.  This
- *          pointer is guaranteed to remain valid until the @ref
- *          account-error-changed signal is emitted for @account.
- *
- * Since: 3.0
- */
-PURPLE_DEPRECATED_FOR(purple_account_get_error)
-const PurpleConnectionErrorInfo *purple_account_get_error_info(PurpleAccount *account);
-
-/**
  * purple_account_set_error:
  * @account: The instance.
  * @error: (nullable) (transfer full): The new #GError.
@@ -609,22 +591,6 @@
 void purple_account_set_error(PurpleAccount *account, GError *error);
 
 /**
- * purple_account_set_error_info:
- * @account: The account whose error should be set.
- * @info: (nullable) (transfer full): The [struct@Purple.ConnectionErrorInfo]
- *        to set.
- *
- * Sets the error of @account to @info. Note that setting this won't disconnect
- * the account. This is intended to be called by libpurple when there is a
- * connection failure, when invalid settings are entered in an account editor,
- * or similar situations.
- *
- * Since: 3.0
- */
-PURPLE_DEPRECATED_FOR(purple_account_set_error)
-void purple_account_set_error_info(PurpleAccount *account, PurpleConnectionErrorInfo *info);
-
-/**
  * purple_account_set_require_password:
  * @account: The instance.
  * @require_password: Whether or not this account should require a password.
diff --git a/libpurple/purpleconnectionerrorinfo.c b/libpurple/purpleconnectionerrorinfo.c
deleted file mode 100644
--- a/libpurple/purpleconnectionerrorinfo.c
+++ /dev/null
@@ -1,62 +0,0 @@
-/*
- * Purple - Internet Messaging Library
- * Copyright (C) Pidgin Developers <devel@pidgin.im>
- *
- * Purple is the legal property of its developers, whose names are too numerous
- * to list here. Please refer to the COPYRIGHT file distributed with this
- * source distribution.
- *
- * This library is free software; you can redistribute it and/or modify it
- * under the terms of the GNU General Public License as published by the Free
- * Software Foundation; either version 2 of the License, or (at your option)
- * any later version.
- *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
- * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
- * more details.
- *
- * You should have received a copy of the GNU General Public License along with
- * this library; if not, see <https://www.gnu.org/licenses/>.
- */
-
-#include "purpleconnectionerrorinfo.h"
-
-G_DEFINE_BOXED_TYPE(PurpleConnectionErrorInfo, purple_connection_error_info,
-                    purple_connection_error_info_copy,
-                    purple_connection_error_info_free)
-
-/******************************************************************************
- * Public API
- *****************************************************************************/
-PurpleConnectionErrorInfo *
-purple_connection_error_info_new(PurpleConnectionError type,
-                                 const gchar *description)
-{
-	PurpleConnectionErrorInfo *info;
-
-	g_return_val_if_fail(description != NULL, NULL);
-
-	info = g_new(PurpleConnectionErrorInfo, 1);
-
-	info->type = type;
-	info->description = g_strdup(description);
-
-	return info;
-}
-
-PurpleConnectionErrorInfo *
-purple_connection_error_info_copy(PurpleConnectionErrorInfo *info)
-{
-	g_return_val_if_fail(info != NULL, NULL);
-
-	return purple_connection_error_info_new(info->type, info->description);
-}
-
-void
-purple_connection_error_info_free(PurpleConnectionErrorInfo *info) {
-	g_return_if_fail(info != NULL);
-
-	g_free(info->description);
-	g_free(info);
-}
diff --git a/libpurple/purpleconnectionerrorinfo.h b/libpurple/purpleconnectionerrorinfo.h
deleted file mode 100644
--- a/libpurple/purpleconnectionerrorinfo.h
+++ /dev/null
@@ -1,181 +0,0 @@
-/*
- * Purple - Internet Messaging Library
- * Copyright (C) Pidgin Developers <devel@pidgin.im>
- *
- * Purple is the legal property of its developers, whose names are too numerous
- * to list here. Please refer to the COPYRIGHT file distributed with this
- * source distribution.
- *
- * This library is free software; you can redistribute it and/or modify it
- * under the terms of the GNU General Public License as published by the Free
- * Software Foundation; either version 2 of the License, or (at your option)
- * any later version.
- *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
- * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
- * more details.
- *
- * You should have received a copy of the GNU General Public License along with
- * this library; if not, see <https://www.gnu.org/licenses/>.
- */
-
-#if !defined(PURPLE_GLOBAL_HEADER_INSIDE) && !defined(PURPLE_COMPILATION)
-# error "only <purple.h> may be included directly"
-#endif
-
-#ifndef PURPLE_CONNECTION_ERROR_INFO_H
-#define PURPLE_CONNECTION_ERROR_INFO_H
-
-#include <glib.h>
-#include <glib-object.h>
-
-#include "purpleversion.h"
-
-G_BEGIN_DECLS
-
-/**
- * PurpleConnectionError:
- * @PURPLE_CONNECTION_ERROR_NETWORK_ERROR: There was an error sending or
- *         receiving on the network socket, or there was some protocol error
- *         (such as the server sending malformed data).
- * @PURPLE_CONNECTION_ERROR_INVALID_USERNAME: The username supplied was not
- *         valid.
- * @PURPLE_CONNECTION_ERROR_AUTHENTICATION_FAILED: The username, password or
- *         some other credential was incorrect.  Use
- *         #PURPLE_CONNECTION_ERROR_INVALID_USERNAME instead if the username
- *         is known to be invalid.
- * @PURPLE_CONNECTION_ERROR_AUTHENTICATION_IMPOSSIBLE: libpurple doesn't speak
- *         any of the authentication methods the server offered.
- * @PURPLE_CONNECTION_ERROR_NO_SSL_SUPPORT: libpurple was built without SSL
- *         support, and the connection needs SSL.
- * @PURPLE_CONNECTION_ERROR_ENCRYPTION_ERROR: There was an error negotiating
- *         SSL on this connection, or the server does not support encryption
- *         but an account option was set to require it.
- * @PURPLE_CONNECTION_ERROR_NAME_IN_USE: Someone is already connected to the
- *         server using the name you are trying to connect with.
- * @PURPLE_CONNECTION_ERROR_INVALID_SETTINGS: The username/server/other
- *         preference for the account isn't valid.  For instance, on IRC the
- *         username cannot contain white space.  This reason should not be used
- *         for incorrect passwords etc: use
- *         #PURPLE_CONNECTION_ERROR_AUTHENTICATION_FAILED for that.
- * @PURPLE_CONNECTION_ERROR_CERT_NOT_PROVIDED: The server did not provide a
- *         SSL certificate.
- * @PURPLE_CONNECTION_ERROR_CERT_UNTRUSTED: The server's SSL certificate could
- *         not be trusted.
- * @PURPLE_CONNECTION_ERROR_CERT_EXPIRED: The server's SSL certificate has
- *         expired.
- * @PURPLE_CONNECTION_ERROR_CERT_NOT_ACTIVATED: The server's SSL certificate is
- *         not yet valid.
- * @PURPLE_CONNECTION_ERROR_CERT_HOSTNAME_MISMATCH: The server's SSL
- *         certificate did not match its hostname.
- * @PURPLE_CONNECTION_ERROR_CERT_FINGERPRINT_MISMATCH: The server's SSL
- *         certificate does not have the expected fingerprint.
- * @PURPLE_CONNECTION_ERROR_CERT_SELF_SIGNED: The server's SSL certificate is
- *         self-signed.
- * @PURPLE_CONNECTION_ERROR_CERT_OTHER_ERROR: There was some other error
- *         validating the server's SSL certificate.
- * @PURPLE_CONNECTION_ERROR_CUSTOM_TEMPORARY: A custom error that is temporary.
- * @PURPLE_CONNECTION_ERROR_CUSTOM_FATAL: A custom error that is fatal.
- * @PURPLE_CONNECTION_ERROR_OTHER_ERROR: Some other error occurred which fits
- *         into none of the other categories.
- *
- * Possible errors that can cause a connection to be closed.
- */
-typedef enum
-{
-	PURPLE_CONNECTION_ERROR_NETWORK_ERROR = 0,
-	PURPLE_CONNECTION_ERROR_INVALID_USERNAME = 1,
-	PURPLE_CONNECTION_ERROR_AUTHENTICATION_FAILED = 2,
-	PURPLE_CONNECTION_ERROR_AUTHENTICATION_IMPOSSIBLE = 3,
-	PURPLE_CONNECTION_ERROR_NO_SSL_SUPPORT = 4,
-	PURPLE_CONNECTION_ERROR_ENCRYPTION_ERROR = 5,
-	PURPLE_CONNECTION_ERROR_NAME_IN_USE = 6,
-
-	/* TODO This reason really shouldn't be necessary. Usernames and
-	 *      other account preferences should be validated when the
-	 *      account is created. */
-	PURPLE_CONNECTION_ERROR_INVALID_SETTINGS = 7,
-
-	PURPLE_CONNECTION_ERROR_CERT_NOT_PROVIDED = 8,
-	PURPLE_CONNECTION_ERROR_CERT_UNTRUSTED = 9,
-	PURPLE_CONNECTION_ERROR_CERT_EXPIRED = 10,
-	PURPLE_CONNECTION_ERROR_CERT_NOT_ACTIVATED = 11,
-	PURPLE_CONNECTION_ERROR_CERT_HOSTNAME_MISMATCH = 12,
-	PURPLE_CONNECTION_ERROR_CERT_FINGERPRINT_MISMATCH = 13,
-	PURPLE_CONNECTION_ERROR_CERT_SELF_SIGNED = 14,
-	PURPLE_CONNECTION_ERROR_CERT_OTHER_ERROR = 15,
-
-	PURPLE_CONNECTION_ERROR_CUSTOM_TEMPORARY = 16,
-	PURPLE_CONNECTION_ERROR_CUSTOM_FATAL = 17,
-
-	/* purple_connection_error() in connection.c uses the fact that
-	 * this is the last member of the enum when sanity-checking; if other
-	 * reasons are added after it, the check must be updated.
-	 */
-	PURPLE_CONNECTION_ERROR_OTHER_ERROR = 18
-} PurpleConnectionError;
-
-/**
- * PurpleConnectionErrorInfo:
- * @type: The type of error.
- * @description: A localised, human-readable description of the error.
- *
- * Holds the type of an error along with its description.
- *
- * Since: 2.3
- */
-PURPLE_AVAILABLE_TYPE_IN_2_3
-typedef struct
-{
-	PurpleConnectionError type;
-	char *description;
-} PurpleConnectionErrorInfo;
-
-
-#define PURPLE_TYPE_CONNECTION_ERROR_INFO (purple_connection_error_info_get_type())
-
-PURPLE_AVAILABLE_IN_3_0
-GType purple_connection_error_info_get_type(void);
-
-/**
- * purple_connection_error_info_new:
- * @type: The [enum@Purple.ConnectionError] of the error.
- * @description: The description of the error.
- *
- * Creates a new error info with the given properties.
- *
- * Returns: (transfer full): The new instance.
- *
- * Since: 3.0
- */
-PURPLE_AVAILABLE_IN_3_0
-PurpleConnectionErrorInfo *purple_connection_error_info_new(PurpleConnectionError type, const gchar *description);
-
-/**
- * purple_connection_error_info_copy:
- * @info: The instance to copy.
- *
- * Creates a copy of @info.
- *
- * Returns: (transfer full): A new copy of @info.
- *
- * Since: 3.0
- */
-PURPLE_AVAILABLE_IN_3_0
-PurpleConnectionErrorInfo *purple_connection_error_info_copy(PurpleConnectionErrorInfo *info);
-
-/**
- * purple_connection_error_info_free:
- * @info: The instance to free.
- *
- * Frees the memory associated with @info.
- *
- * Since: 3.0
- */
-PURPLE_AVAILABLE_IN_3_0
-void purple_connection_error_info_free(PurpleConnectionErrorInfo *info);
-
-G_END_DECLS
-
-#endif /* PURPLE_CONNECTION_ERROR_INFO_H */
diff --git a/libpurple/purplenotificationconnectionerror.c b/libpurple/purplenotificationconnectionerror.c
--- a/libpurple/purplenotificationconnectionerror.c
+++ b/libpurple/purplenotificationconnectionerror.c
@@ -24,8 +24,6 @@
 
 #include "purplenotificationconnectionerror.h"
 
-#include "purpleconnectionerrorinfo.h"
-
 struct _PurpleNotificationConnectionError {
 	PurpleNotification parent;
 };
diff --git a/libpurple/purplenotificationconnectionerror.h b/libpurple/purplenotificationconnectionerror.h
--- a/libpurple/purplenotificationconnectionerror.h
+++ b/libpurple/purplenotificationconnectionerror.h
@@ -30,7 +30,6 @@
 #include <glib.h>
 #include <glib-object.h>
 
-#include "purpleconnectionerrorinfo.h"
 #include "purplenotification.h"
 #include "purpleversion.h"
 
